TypeSelector.FileType (Apache Ant API)
Keywords: org.apache.tools.ant.types.selectors.TypeSelector.FileType,TypeSelector.FileType class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types.selectors
Class TypeSelector.FileType

    java.lang.Object
      |
      +--org.apache.tools.ant.types.EnumeratedAttribute
            |
            +--org.apache.tools.ant.types.selectors.TypeSelector.FileType

Enclosing class:
  TypeSelector

public static class TypeSelector.FileType
extends EnumeratedAttribute

Enumerated attribute with the values for types of file

Field Summary
`static java.lang.String` | `DIR` the string value for dir
`static java.lang.String` | `FILE` the string value for file

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`TypeSelector.FileType()`

Method Summary
`java.lang.String[]` | `getValues()` This is the only method a subclass needs to implement.

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FILE

    public static final java.lang.String FILE

  the string value for file

  See Also:
    Constant Field Values

### DIR

    public static final java.lang.String DIR

  the string value for dir

  See Also:
    Constant Field Values

Constructor Detail

### TypeSelector.FileType

    public TypeSelector.FileType()

Method Detail

### getValues

    public java.lang.String[] getValues()

  Description copied from class: `EnumeratedAttribute`
  This is the only method a subclass needs to implement.

  Specified by:
    `getValues` in class `EnumeratedAttribute`
  Returns:
    the values as an array of strings

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.